Subject: Re: gitweb on OpenBSD (-T not supported on filesystems...)

From: Jakub Narebski <[email-masked]>
Date: Sun, 17 Sep 2006 11:51:48 +0200

Andrew Pamment wrote:

> On Sun, 17 Sep 2006 18:42:12 +0930, Jakub Narebski <[email-masked]>  
> wrote:
> 
>> What Perl version do you use? Does 'perldoc -f -X' has the following  
>> lines?
>>
>>         -X FILEHANDLE
>>
>>         (...) If "-T" or "-B" is used on a filehandle, the current IO  
>> buffer
>>         is examined rather than the first block. (...)
> 
> The version of perl is the one that comes with OpenBSD 3.9, it is v5.8.6.
> 
> I do get the above text when I run 'perldoc -f -X', does this mean it  
> should work? 

I thought that OpenBSD has perhaps distributed some old Perl version that
doesn't have -X tests (including -T/-B) on filehandles.

> When I try the original -T $fd I get: 
> 
> Software error:
> -T and -B not implemented on filehandles at /var/www/htdocs/git/gitweb.cgi  
> line 1598.

So this means that Perl implementation in OpenBSD is flawed.

Does anyone else has problem with gitweb on other systems? (I guess that
gitweb doesn't work with ActivePerl).

>> The solution for you would be to skip -T test.
> 
> That works fine. Thanks.

The -T test is just a fallback for when we cannot derive mimetype. I don't
know if you should default to 'application/octet-stream' or 'text/plain' in
your case; that perhaps depends on the repository.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git